Skip to content
Start here

Create a new Account Provider

ai_gateway.custom_providers.create(CustomProviderCreateParams**kwargs) -> CustomProviderCreateResponse
POST/accounts/{account_id}/ai-gateway/custom-providers

Creates a new AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
account_id: str
base_url: str
formaturi
name: str
slug: str
beta: Optional[bool]
curl_example: Optional[str]
description: Optional[str]
enable: Optional[bool]
headers: Optional[str]
maxLength8192
js_example: Optional[str]
position: Optional[int]
ReturnsExpand Collapse
class CustomProviderCreateResponse:
id: str
formatuuid
base_url: str
formaturi
created_at: datetime
formatdate-time
modified_at: datetime
formatdate-time
name: str
slug: str
beta: Optional[bool]
curl_example: Optional[str]
description: Optional[str]
enable: Optional[bool]
headers: Optional[str]
maxLength8192
js_example: Optional[str]
position: Optional[int]

Create a new Account Provider

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
custom_provider = client.ai_gateway.custom_providers.create(
    account_id="3ebbcb006d4d46d7bb6a8c7f14676cb0",
    base_url="https://example.com",
    name="name",
    slug="slug",
)
print(custom_provider.id)
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "base_url": "https://example.com",
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "slug": "slug",
    "beta": true,
    "curl_example": "curl_example",
    "description": "description",
    "enable": true,
    "headers": "headers",
    "js_example": "js_example",
    "link": "link",
    "logo": "logo",
    "position": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "base_url": "https://example.com",
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "slug": "slug",
    "beta": true,
    "curl_example": "curl_example",
    "description": "description",
    "enable": true,
    "headers": "headers",
    "js_example": "js_example",
    "link": "link",
    "logo": "logo",
    "position": 0
  },
  "success": true
}